pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 > Class Template Reference
Module visualization

Handler for predefined user colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >:

## Public Member Functions

| PointCloudColorHandlerCustom (const PointCloudConstPtr &cloud, double r, double g, double b)
| Constructor. More...
virtual | ~PointCloudColorHandlerCustom ()
| Empty destructor. More...
virtual std::string | getName () const
| Get the name of the class. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as vtk scalars. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

double | r_
| Internal R, G, B holding the values given by the user. More...
double | g_
double | b_
Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...

## Additional Inherited Members

Public Types inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
typedef pcl::PCLPointCloud2 | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointCloud > > | ConstPtr

## Detailed Description

### template<>
class pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >

Handler for predefined user colors.

The color at each point will be drawn as the use given R, G, B values.

Author
  Radu B. Rusu

Definition at line 685 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerCustom()

pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::PointCloudColorHandlerCustom | ( | const PointCloudConstPtr & | cloud,
|  | double | r,
|  | double | g,
|  | double | b
| ) |  |

inline

Constructor.

Definition at line 693 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## ~PointCloudColorHandlerCustom()

virtual pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::~PointCloudColorHandlerCustom | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 702 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

virtual bool pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

## getFieldName()

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 710 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::getColor().

## getName()

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline virtual

Get the name of the class.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 706 of file point_cloud_color_handlers.h.

## Member Data Documentation

## b_

double pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::b_

protected

Definition at line 722 of file point_cloud_color_handlers.h.

## g_

double pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::g_

protected

Definition at line 722 of file point_cloud_color_handlers.h.

## r_

double pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::r_

protected

Internal R, G, B holding the values given by the user.

Definition at line 722 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/point_cloud_color_handlers.h